./graphics/PanoTools, View, create, edit, and remap panoramic images

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.6b1nb3, Package name: PanoTools-2.6b1nb3, Maintainer: pkgsrc-users

Panorama Tools is a set of free programs which can be used to generate,
edit, and transform many kinds of panoramic images. Its main
functionality includes

* Correction of images,

* Perspective Control,

* Remap from any projection to any projection; and

* Adjusting of images into a panoramic view.


Required to run:
[emulators/suse131_32_libjpeg] [emulators/suse131_32_libtiff] [emulators/suse131_32_libpng] [emulators/suse131_32_base]

Master sites:

SHA1: 3d200ea5035ed5188341be6cf1aa197fabc1994c
RMD160: d4c1b23b09a6b5b901fef6eeb4faaa43536c1469
Filesize: 504.118 KB

Version history: (Expand)


CVS history: (Expand)


   2015-11-03 22:34:36 by Alistair G. Crooks | Files touched by this commit (610)
Log message:
Add SHA512 digests for distfiles for graphics category

Problems found with existing digests:
	Package fotoxx distfile fotoxx-14.03.1.tar.gz
	ac2033f87de2c23941261f7c50160cddf872c110 [recorded]
	118e98a8cc0414676b3c4d37b8df407c28a1407c [calculated]
	Package ploticus-examples distfile ploticus-2.00/plnode200.tar.gz
	34274a03d0c41fae5690633663e3d4114b9d7a6d [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]

Problems found locating distfiles:
	Package AfterShotPro: missing distfile AfterShotPro-1.1.0.30/AfterShotPro_i386.deb
	Package pgraf: missing distfile pgraf-20010131.tar.gz
	Package qvplay: missing distfile qvplay-0.95.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-02-12 00:17:22 by Tobias Nygren | Files touched by this commit (1)
Log message:
PKG_JVM should not be set by package, change to PKG_JVMS_ACCEPTED
   2012-10-06 16:11:27 by Aleksej Saushev | Files touched by this commit (427)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2009-06-14 19:59:32 by Joerg Sonnenberger | Files touched by this commit (263)
Log message:
Remove @dirrm entries from PLISTs
   2008-04-07 18:25:37 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
Fix DESTDIR.
   2008-03-04 16:39:11 by Johnny C. Lam | Files touched by this commit (46)
Log message:
Mechanical changes to add DESTDIR support to packages that install
their files via a custom do-install target.
   2007-07-29 07:20:04 by Johnny C. Lam | Files touched by this commit (427) | Package updated
Log message:
* Add new emulator framework in pkgsrc/mk/emulator that handles all
  binary-only packages that require binary "emulation" on the native
  operating system.  Please see pkgsrc/mk/emulator/README for more
  details.

* Teach the plist framework to automatically use any existing
  PLIST.${EMUL_PLATFORM} as part of the default PLIST_SRC definition.

* Convert all of the binary-only packages in pkgsrc to use the
  emulator framework.  Most of them have been tested to install and
  deinstall correctly.  This involves the following cleanup actions:

    * Remove use of custom PLIST code and use PLIST.${EMUL_PLATFORM}
      more consistently.

    * Simplify packages by using default INSTALL and DEINSTALL scripts
      instead of custom INSTALL/DEINSTALL code.

    * Remove "SUSE_COMPAT32" and "PKG_OPTIONS.suse" from pkgsrc.
      Packages only need to state exactly which emulations they support,
      and the framework handles any i386-on-x86_64 or sparc-on-sparc64
      uses.

    * Remove "USE_NATIVE_LINUX" from pkgsrc.  The framework will
      automatically detect when the package is installing on Linux.

  Specific changes to packages include:

    * Bump the PKGREVISIONs for all of the suse100* and suse91* packages
      due to changes in the +INSTALL/+DEINSTALL scripts used in all
      of the packages.

    * Remove pkgsrc/emulators/suse_linux, which is unused by any
      packages.

    * cad/lc -- remove custom code to create the distinfo file for
	all supported platforms; just use "emul-fetch" and \ 
"emul-distinfo"
	instead.

    * lang/Cg-compiler -- install the shared libraries under ${EMULDIR}
	instead of ${PREFIX}/lib so that compiled programs will find
	the shared libraries.

    * mail/thunderbird-bin-nightly -- update to latest binary
	distributions for supported platforms.

    * multimedia/ns-flash -- update Linux version to 9.0.48 as the
	older version is no longer available for interactive fetch.

    * security/uvscan -- set LD_LIBRARY_PATH explicitly so that
	it's not necessary to install library symlinks into
	${EMULDIR}/usr/local/lib.

    * www/firefox-bin-flash -- update Linux version to 9.0.48 as the
	older version is no longer available for interactive fetch.
   2007-02-15 17:27:56 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
No need for this to depend on X11 as it isn't even native.
Slightly adjust the logic as SuSE < 9 is not supported anymore
and all systems but Linux will need the emulation anyway. Still
messy, but better. Mark DragonFly as supported.